Bug 1441754 - Get IP address automation code not working Azure
Summary: Get IP address automation code not working Azure
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: GA
: 5.7.3
Assignee: Ladislav Smola
QA Contact: Jeff Teehan
URL:
Whiteboard:
Depends On: 1440327
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-12 15:42 UTC by Satoe Imaishi
Modified: 2020-06-11 13:35 UTC (History)
10 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1440327
Environment:
Last Closed: 2017-06-28 14:59:55 UTC
Category: ---
Cloudforms Team: Azure
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 CFME Bot 2017-04-17 15:01:16 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/c0b32e295d614e583c9b4474cc9b3f68d497ccc9

commit c0b32e295d614e583c9b4474cc9b3f68d497ccc9
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Wed Apr 12 07:54:05 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Apr 17 10:55:53 2017 -0400

    Merge pull request #14741 from Ladas/ensure_managers_change_zone_and_provider_region_with_cloud_manager
    
    Method for ensuring managers change zone and provider region with CloudManager
    (cherry picked from commit 9cae7823ad1538f281e74235c41b891cfcae45aa)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1441754
    https://bugzilla.redhat.com/show_bug.cgi?id=1441742

 app/models/mixins/has_network_manager_mixin.rb | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

Comment 3 CFME Bot 2017-04-17 15:01:28 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/5a8d16a9c12f083e90392d1980f3e66ef3d3c86a

commit 5a8d16a9c12f083e90392d1980f3e66ef3d3c86a
Author:     Bronagh Sorota <bsorota@redhat.com>
AuthorDate: Wed Apr 12 11:16:05 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Apr 17 11:00:02 2017 -0400

    Merge pull request #47 from Ladas/ensure_managers_change_zone_and_provider_region_with_cloud_manager
    
    Ensure managers change zone and provider region with CloudManager
    (cherry picked from commit 76299c0ddc050e5ea40dcaf91b278ac105811260)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1441754

 app/models/manageiq/providers/azure/cloud_manager.rb  |  1 +
 .../manageiq/providers/azure/cloud_manager_spec.rb    | 19 +++++++++++++++++++
 2 files changed, 20 insertions(+)

Comment 4 Jeff Teehan 2017-06-15 22:11:51 UTC
I switched between multiple subscriptions and zones per the above discussion.  As near as I can tell, the network is switching over correctly each time.  All the IP address are always correct after provisioning.

I don't have the actual code in question so I can't verify thatpart.  If the customer is still having an issue we can re evaluate this.

Comment 6 errata-xmlrpc 2017-06-28 14:59:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.